package com.mini.capi.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.ViewControllerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebMvcConfig implements WebMvcConfigurer {

    @Override
    public void addViewControllers(ViewControllerRegistry registry) {
        // 访问根路径 "/" 时，自动重定向到 Swagger UI
        registry.addRedirectViewController("/", "/login");
    }


    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 注册登录拦截器
        registry.addInterceptor(new LoginInterceptor())
                .addPathPatterns("/**") // 拦截所有路径
                .excludePathPatterns( // 排除不需要拦截的路径
                        "/", // 登录页
                        "/login", // 登录页
                        "/biz/userLogin", // 登录接口
                        "/static/**", // 静态资源（CSS、JS、图片等）
                        "/erpApi/**",
                        "/appApi/**",
                        "/jobApi/**"
                );
    }
}
